This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 812030 - Review Request: python-tw2-jit - Javascript Infovis Toolkit (JIT) for ToscaWidgets2
Review Request: python-tw2-jit - Javascript Infovis Toolkit (JIT) for ToscaWi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On: 811732 811782
Blocks: 818293
  Show dependency treegraph
 
Reported: 2012-04-12 11:07 EDT by Ralph Bean
Modified: 2014-11-13 11:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 03:26:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2012-04-12 11:07:30 EDT
Spec URL: http://threebean.org/rpm/python-tw2-jit.spec
SRPM URL: http://threebean.org/rpm/python-tw2-jit-2.0.2-1.fc17.src.rpm
Description:

toscawidgets2 (tw2) aims to be a practical and useful widgets framework
that helps people build interactive websites with compelling features, faster
and easier. Widgets are re-usable web components that can include a template,
server-side code and JavaScripts/CSS resources. The library aims to be:
flexible, reliable, documented, performant, and as simple as possible.

The JavaScript InfoVis Toolkit (thejit) is a javascript library that
provides web standard based tools to create interactive data visualizations
for the Web.  It is pretty, interactive, and fast.

This module, tw2.jit, provides toscawidgets2 (tw2) widgets that render
thejit data visualizations.

----

This package depends on the following two packages currently up for review:

 - python-tw2-sqla - https://bugzilla.redhat.com/show_bug.cgi?id=811782
 - python-tw2-jquery - https://bugzilla.redhat.com/show_bug.cgi?id=811732
Comment 1 Ralph Bean 2012-05-02 16:08:00 EDT
New upstream release that includes the LICENSE files.

Spec URL: http://threebean.org/rpm/python-tw2-jit.spec
SRPM URL: http://threebean.org/rpm/python-tw2-jit-2.0.3-1.fc17.src.rpm
Comment 2 Ralph Bean 2012-05-03 09:12:02 EDT
A question came up in #fedora-devel as to whether or not we can bundle javascript intended to be served by a web app.  There is an explicit exemption in the packaging guidelines making this "OK".

http://fedoraproject.org/wiki/Packaging:Guidelines#Duplication_of_system_libraries
Comment 3 Michel Alexandre Salim 2012-05-10 00:38:02 EDT
Taking this review
Comment 4 Michel Alexandre Salim 2012-05-11 01:34:16 EDT
Package Review
==============
Two things --
- same directory ownership issue as other tw2 packages
- looks like there is a tests/test_widgets.py -- could this be used for %check?

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
     (cf. packager's comment)
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[!]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint python-tw2-jit-2.0.3-1.fc18.src.rpm

python-tw2-jit.src: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint python-tw2-jit-2.0.3-1.fc18.noarch.rpm

python-tw2-jit.noarch: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/michel/tmp/tw2-jit/812030/tw2.jit-2.0.3.tar.gz :
  MD5SUM this package     : 1b8bd0cf244d61790503638e779d98e3
  MD5SUM upstream package : 1b8bd0cf244d61790503638e779d98e3

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
     noarch
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
     not tested, but upstream/packager should know better
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
     Not sure they are available
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
     there is a tests/test_widgets.py -- should this be used?
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


Generated by fedora-review 0.1.3
External plugins:
Comment 5 Ralph Bean 2012-05-11 08:50:10 EDT
Spec URL: http://threebean.org/rpm/python-tw2-jit.spec
SRPM URL: http://threebean.org/rpm/python-tw2-jit-2.0.3-2.fc17.src.rpm

(In reply to comment #4)
> Two things --
> - same directory ownership issue as other tw2 packages

Resolved this.

> - looks like there is a tests/test_widgets.py -- could this be used for %check?

Unfortunately not.  The test is just a stub for future tests-to-be-written.
This one tests also fails when you run it.
Comment 6 Michel Alexandre Salim 2012-05-11 12:02:19 EDT
(In reply to comment #5)
> Spec URL: http://threebean.org/rpm/python-tw2-jit.spec
> SRPM URL: http://threebean.org/rpm/python-tw2-jit-2.0.3-2.fc17.src.rpm
> 
> (In reply to comment #4)
> > Two things --
> > - same directory ownership issue as other tw2 packages
> 
> Resolved this.
>

Almost:

-%{python_sitelib}/*
+
+%{python_sitelib}/tw2/jit
+%{python_sitelib}/%{name}-%{version}*
+

I believe you want %{modname}, not %{name}
Comment 7 Ralph Bean 2012-05-11 12:16:03 EDT
Hasty, hasty..  Thanks for catching it.  Updated again.

Spec URL: http://threebean.org/rpm/python-tw2-jit.spec
SRPM URL: http://threebean.org/rpm/python-tw2-jit-2.0.3-3.fc17.src.rpm
Comment 8 Michel Alexandre Salim 2012-05-11 12:32:03 EDT
OK, everything looks good now. APPROVED
Comment 9 Ralph Bean 2012-05-11 14:35:14 EDT
Thanks Michel!
Comment 10 Ralph Bean 2012-05-11 14:36:18 EDT
New Package SCM Request
=======================
Package Name: python-tw2-jit
Short Description: Javascript Infovis Toolkit (JIT) for ToscaWidgets2
Owners: ralph
Branches: f17 el6
InitialCC:
Comment 11 Jon Ciesla 2012-05-11 14:39:44 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2012-05-11 15:27:25 EDT
python-tw2-jit-2.0.3-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tw2-jit-2.0.3-3.fc17
Comment 13 Fedora Update System 2012-05-11 15:34:24 EDT
python-tw2-jit-2.0.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tw2-jit-2.0.3-3.el6
Comment 14 Fedora Update System 2012-05-12 15:45:51 EDT
python-tw2-jit-2.0.3-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 15 Fedora Update System 2012-05-26 03:26:16 EDT
python-tw2-jit-2.0.3-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 16 Fedora Update System 2012-05-29 23:18:02 EDT
python-tw2-jit-2.0.3-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tw2-jit-2.0.3-4.el6
Comment 17 Fedora Update System 2012-06-19 13:05:27 EDT
python-tw2-jit-2.0.3-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Ralph Bean 2014-11-12 22:52:20 EST
Package Change Request
======================
Package Name: python-tw2-jit
New Branches: epel7
Owners: ralph
InitialCC:
Comment 19 Jon Ciesla 2014-11-13 11:36:34 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.